# xmpp_c2s.h File Reference

`#include <ptclib/xmpp.h>`
`#include <ptclib/psasl.h>`
`#include <ptlib/sockets.h>`

Go to the source code of this file.

## Namespaces

namespace | XMPP
namespace | XMPP::C2S

## Classes

class | XMPP::C2S::TCPTransport
| XMPP client to server TCP transport. More...
class | XMPP::C2S::StreamHandler
| This class handles the client side of a C2S (Client to Server) XMPP stream. More...